<?php
##############################################################################
# Tri_index Version 1.1 - [08/04/2024]                                       #
# Module pour AdHoc CMS   Développé par JeanDenis                            #
# Site Web : https://adhoc.71site.fr/                                        #
# D'après modules réalisés par Penanders https://www.cmsadhoc.net/           #
# Accompagné nécessairement d'un fork du script pages/index.php du CMS adHoc #
# Licence : GNU-GPL V3                                                       #
##############################################################################

empty($_POST['save']) ? $save = "" : $save = decode_gpc($_POST['save']);
	$cfg_tri_index = ReadCSVPairs(PATH_DAT."tri_index/config".DBEXT);
	include (PATH."modules/tri_index/lang/".USER_LANG."_txt_admin".INCEXT);

if ($save) {
	$cfg_tri_index['numcat0'] = $_POST['numcat0'];
	$cfg_tri_index['numcat1'] = $_POST['numcat1'];
	$cfg_tri_index['numcat2'] = $_POST['numcat2'];
	$cfg_tri_index['numcat3'] = $_POST['numcat3'];
	$cfg_tri_index['numcat4'] = $_POST['numcat4'];
	$cfg_tri_index['numcat5'] = $_POST['numcat5'];
	$cfg_tri_index['numcat6'] = $_POST['numcat6'];
	$cfg_tri_index['numcat7'] = $_POST['numcat7'];
	$cfg_tri_index['numcat8'] = $_POST['numcat8'];
	$cfg_tri_index['numcat9'] = $_POST['numcat9'];
	$cfg_tri_index['numcat10'] = $_POST['numcat10'];
	$cfg_tri_index['numcat11'] = $_POST['numcat11'];
	$cfg_tri_index['numcat12'] = $_POST['numcat12'];
	$cfg_tri_index['numcat13'] = $_POST['numcat13'];
	$cfg_tri_index['numcat14'] = $_POST['numcat14'];
	$cfg_tri_index['numcat15'] = $_POST['numcat15'];
	$cfg_tri_index['numcat16'] = $_POST['numcat16'];
	$cfg_tri_index['numcat17'] = $_POST['numcat17'];
	$cfg_tri_index['numcat18'] = $_POST['numcat18'];
	$cfg_tri_index['numcat19'] = $_POST['numcat19'];

	WriteCSVPairs(PATH_DAT."tri_index/config".DBEXT, $cfg_tri_index);
}

// Variables
$msgTitle = $msg_pnl['module_title'];
$msgInfo = $msg_pnl['module_info'];
$breadcrumbs[] = array($msg_pnl['modules'], '?pg=modules');
$breadcrumbs[] = array('tri_index', '');
$idlg = USER_LANG;

// Fonction
function nettoyagenom($nom) { // nettoyage éventuel d'un titre
if ($nom[0] == '"' && substr($nom, -1) == '"') //test présence de guillemets au début ET à la fin
{$nom = substr($nom, 1, -1);} // ... les supprime le cas échéant
return $nom;
}

// Elaboration contenu de la liste de toutes les catégories
$comptenbcategories = count(file(PATH.'data/pages/list_'.$idlg.'.dbt')); // nombre de catégories dans la liste
$contenucategories = fopen(PATH.'data/pages/list_'.$idlg.'.dbt', 'r' ); // ouverture fichier et contenu de cette liste
for ($i=0; $i < $comptenbcategories ; $i++) {
	$lignenouvelle = fgets($contenucategories);
	$elem = explode(";", $lignenouvelle);
		for ($j=0; $j < 6;$j++) {
		$chaquecategorie [$i][$j] = $elem[$j]; // création variables [catégorie][élément]
		}
}
fclose($contenucategories); // fermeture fichier

// Elaboration de la liste de toutes les catégories (Id et nom) avec éléments vides en tête
	$listecategorie [0][0] = '';
	$listecategorie [0][1] = '';
for ($i=0; $i < $comptenbcategories ; $i++) {
	$listecategorie [$i+1][0] = $chaquecategorie [$i][0];
	$listecategorie [$i+1][1] = $chaquecategorie [$i][3];
}

include("include/hpage.inc");
?>

<form name="config" id="edit" action="panel.php?pg=tri_index" method="post">
<input type="hidden" name="save" value="1"/><br />

<div class="section"><!-- section info -->
	<div class="pnl w11">

<?php
echo '<p>'.$msg_pnl['info_longue'].'</p>';
?>

	</div>
</div><!-- fin section info -->


<div class="section"><!-- 1ère section -->
	<div class="pnl w11">

<?php
echo '<p>'.$msg_pnl['info_cat'].'</p>';
?>

<?php
echo '<select class="w12" name="numcat0" class="field">'; // catégorie 0
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat0']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat1" class="field">'; // catégorie 1
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat1']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<select class="w12" name="numcat2" class="field">'; // catégorie 2
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat2']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat3" class="field">'; // catégorie 3
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat3']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<select class="w12" name="numcat4" class="field">'; // catégorie 4
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat4']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat5" class="field">'; // catégorie 5
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat5']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<select class="w12" name="numcat6" class="field">'; // catégorie 6
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat6']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat7" class="field">'; // catégorie 7
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat7']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<select class="w12" name="numcat8" class="field">'; // catégorie 8
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat8']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat9" class="field">'; // catégorie 9
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat9']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<select class="w12" name="numcat10" class="field">'; // catégorie 10
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat10']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat11" class="field">'; // catégorie 11
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat11']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<select class="w12" name="numcat12" class="field">'; // catégorie 12
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat12']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat13" class="field">'; // catégorie 13
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat13']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<select class="w12" name="numcat14" class="field">'; // catégorie 14
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat14']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat15" class="field">'; // catégorie 15
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat15']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<select class="w12" name="numcat16" class="field">'; // catégorie 16
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat16']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat17" class="field">'; // catégorie 17
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat17']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<select class="w12" name="numcat18" class="field">'; // catégorie 18
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat18']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
echo '<select class="w12" name="numcat19" class="field">'; // catégorie 19
for ($i=0;$i<$comptenbcategories+1;$i++) {
echo '<option value="'.$listecategorie [$i][0].'"';
if ($listecategorie [$i][0] == $cfg_tri_index['numcat19']) echo ' selected';
echo '>'.$listecategorie [$i][0].' '.nettoyagenom($listecategorie [$i][1]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

	</div>
</div><!-- fin 1ère section -->

</form>

<?php
$pnlfoot = '<div class="btn-group">
	<input type="submit" class="btn primary" value="'.$msg_pnl['save'].'" form="edit"><a href="panel.php?pg=tri_index" class="btn secondary">'.$msg_pub['abort'].'</a>
</div>
';
include("modules/tri_index/info".INCEXT);
?>

<p style="text-align:center"><img src="modules/tri_index/tri_index.png" alt="icon"/><br />
<b>Tri_index</b> Version : <?php echo $infoModule['version'].' - '.FormatDate($infoModule['date']);?><br />
<a href="https://adhoc.71site.fr" target="_blank">JeanDenis [https://adhoc.71site.fr]</a>
</p>
<p><br><br></p>
