<?php
#  ………  adHoc CMS - Pages ©
#  ………  by Penanders 2010-2017
#  ………  Licence: GNU-GPL V3
####################################################################
# Module fork Tri_index_1_1 pour limiter l'affichage de catégories #
# Jean-Denis https://adhoc.71site.fr 08/04/2024                    #
# zones du fork balisées dans le code par // fork Tri_index        #
####################################################################


require_once("../include/config.inc");
include_once(PATH_INC."functions.inc");
include(PATH."modules/pages/inc/pages_func2.inc");
include(PGBX_DAT."cfg_pages.inc");
//if (!$pgset50) header("location:../index.php");
$idlg = USER_LANG;
$topmess = $pgidxtit[$idlg];
$cpmenu = true;
$pboxes = safe_glob(PGBX_INC."mod_lat_pages*");
// fork Tri_index
	$catinterdite = array(); // définition variable
	if (file_exists(PATH_DAT."tri_index/config".DBEXT)) { // si module tri_index installé
		// Importation des variables
		$cfg_tri_index = ReadCSVPairs(PATH_DAT."tri_index/config".DBEXT); // lecture fichier de configuration du module config.dtb
		for ($i=0; $i < count($cfg_tri_index); $i++) {
			$catinterdite[$i] = $cfg_tri_index['numcat'.$i]; // Id catégories à supprimer de la liste d'affichage
		}
	}
// fork Tri_index
for ($i=0; $i < count($pboxes); $i++) {
   include($pboxes[$i]);
   $pbxrights[$idpg_menu] = $pm_rights;
}
$cpmenu = false;
include(PATH_INC."hpage.inc");
//$pgusrlev = PgChkRights($userprefs[1], $serviz[31], $drtuser[42]);
//$pgusrlev = 6;
$ctlist= SelectRecsByField(ReadCSV(PGBX_DAT."list_".$idlg.DBEXT), 2, "a");
$countctlist = count($ctlist);
for ($i=0; $i < $countctlist; $i++ ) {
// fork Tri_index
	if (in_array($ctlist[$i][0], $catinterdite)) {continue;} // test de l'Id de la catégorie (saute l'hypothèse si catégorie interdite)
// fork Tri_index
   if (USER_LEVEL >= $pbxrights[$ctlist[$i][1]]) {
      $dbwork[] = array("*", $ctlist[$i][3]);
      $pglist = SelectRecsByField(ReadCSV(PGBX_IDX.$ctlist[$i][0].$idlg.DBEXT), 2, "a");
      $countpglist = count($pglist);
      $pgimgnwup ="";
      for ($k=0; $k < $countpglist; $k++ ) {
         if($pgset5) {
            $pgimgnwup="";
            $pastdate = PGGetPastDate($pglist[$k][5]);
            if (($pglist[$k][4] - $pastdate) > 0) $pgimgnwup =($pglist[$k][3] > $pastdate) ?  'n' : 'u';
         }              
         
         //if (($pglist[$k][4] - PGGetPastDate($pglist[$k][5])) > 0) ($pglist[$k][3] == $pglist[$k][4]) ? $pgimgnwup = "n" : $pgimgnwup = "u";  
         $dbwork[] = array($pglist[$k][0], $pglist[$k][1], $ctlist[$i][3], $pgimgnwup); 
      }
      $pgtotitems += $countpglist; 
   }
}
if (!isset($pg_img_upd) && $pgset5) {
   if ($pgset9 == "t") {
      $pg_img_upd = '<span class="label-upd">'.$msg_pub['updated'].'</span>';
      $pg_img_new = '<span class="label-new">'.$msg_pub['new'].'</span>';
   } else {
      $pg_img_upd = '<img class="img-upd" src="'.PATH_LNK.'modules/pages/img/upd.gif" alt="up" title="Updated"/>';
      $pg_img_new = '<img class="img-new" src="'.PATH_LNK.'modules/pages/img/nw.gif" alt="new" title="New"/>';
   }
}
htable($topmess, "100%");
$nlist = ceil(($pgtotitems+$countctlist*2)/2);
$nmax=0;
echo '<nav id="pg-idx"><div class="w12">'."\n";
$count = count($dbwork);
for ($i = 0; $i < $count; $i++) {
   $nmax++;
   if ($dbwork[$i][0] != "*") {
      echo "<h4><a href=\"".$dbwork[$i][0].FixUrl(PG_SEP.$dbwork[$i][2].PG_SEP.$dbwork[$i][1].PG_SEP).$idlg.PG_EXT."\">".$dbwork[$i][1]."</a>";
      if ($dbwork[$i][3] == "u") echo $pg_img_upd;   
      if ($dbwork[$i][3] == "n") echo $pg_img_new;
      echo "</h4>\n";
   } else {
      if (!is_numeric($dbwork[$i+1][0])) {        
         continue;
      }
      if ($nmax > $nlist) {
         $nmax = 0;
         echo "</div>";
         echo '<div class="w12">'."\n";
      }
      $nmax++;
      echo "\n";
      echo "<h3>".$dbwork[$i][1]."</h3>\n";
   }  
   echo "\n";
}
echo "</div><div style=\"100%; clear:both;\"></div>
<br /></nav>";
// fork Tri_index Admin rapide et Référencement SVP ne pas supprimer
if (file_exists(PATH_DAT."tri_index/config".DBEXT)) {
	if(USER_LEVEL > 1) {
		echo '<span class="quick-links" style="background:transparent;"><a href="'.PATH.'admin/panel.php?pg=tri_index"><img style="width:30px;height:30px;" src="'.PATH_LNK.'include/ico/settings.png" border="0" alt="admin" title="admin" /></a></span>';
	}
echo '
<!-- Index trié avec le Module Tri_index_1_1 - Jean-Denis https://adhoc.71site.fr 08/04/2024 - Licence: GNU-GPL V3 -->
';
}
// fork Tri_index
btable();
include(PATH_INC."bpage.inc");
?>